Bug 26826 - Set focus for cursor to name input box when creating a new list
Summary: Set focus for cursor to name input box when creating a new list
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-26 19:29 UTC by Barbara Johnson
Modified: 2020-11-16 20:56 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26826: Set focus for cursor to name input box when creating a new list (1.61 KB, patch)
2020-10-27 10:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26826: Set focus for cursor to name input box when creating a new list (1.66 KB, patch)
2020-10-27 19:01 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26826: Set focus for cursor to name input box when creating a new list (1.72 KB, patch)
2020-10-31 23:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2020-10-26 19:29:10 UTC
When creating a new list on shelves.pl you have to click in the name input box, which is a required field, so that you can enter text.  It would be more efficient to set the focus for the cursor to always be in the list name input box so that you could just begin typing and eliminate an extra click.
Comment 1 Owen Leonard 2020-10-27 10:34:32 UTC
Created attachment 112549 [details] [review]
Bug 26826: Set focus for cursor to name input box when creating a new list

This patch adds the "focus" class to the list name input field so that
it automatically has focus when the page loads.

To test, apply the patch and open the lists page in the staff client.

- Click "New list."
- When the list creation page loads the "Name" field should have focus.
Comment 2 ByWater Sandboxes 2020-10-27 19:01:20 UTC
Created attachment 112590 [details] [review]
Bug 26826: Set focus for cursor to name input box when creating a new list

This patch adds the "focus" class to the list name input field so that
it automatically has focus when the page loads.

To test, apply the patch and open the lists page in the staff client.

- Click "New list."
- When the list creation page loads the "Name" field should have focus.

Signed-off-by: B Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Katrin Fischer 2020-10-31 23:33:00 UTC
Created attachment 112783 [details] [review]
Bug 26826: Set focus for cursor to name input box when creating a new list

This patch adds the "focus" class to the list name input field so that
it automatically has focus when the page loads.

To test, apply the patch and open the lists page in the staff client.

- Click "New list."
- When the list creation page loads the "Name" field should have focus.

Signed-off-by: B Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-03 09:59:45 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-16 20:56:45 UTC
enhancement will not be backported to 20.05.x